Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class ContractAccountDetail

java.lang.Object
ru.bitel.bgbilling.kernel.contract.balance.common.bean.ContractAccountDetail

public class ContractAccountDetail extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractAccountDetail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractAccountDetail`
  `copy(ContractAccountDetail contractAccountDetail)`
  `BigDecimal`
  `getAmount()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `int`
  `getContractTariffId()`
  `BigDecimal`
  `getCost()`
  `int`
  `getEntityId()`
  `int`
  `getEntityModuleId()`
  `String`
  `getEntityTitle()`
  `int`
  `getObjectId()`
  `Period`
  `getPeriod()`
  `int`
  `getServiceId()`
  `BigDecimal`
  `getSum()`
  `ContractAccountDetail`
  `setAmount(BigDecimal amount)`
  `ContractAccountDetail`
  `setComment(String comment)`
  `ContractAccountDetail`
  `setContractId(int contractId)`
  `ContractAccountDetail`
  `setContractTariffId(int contractTariffId)`
  `ContractAccountDetail`
  `setCost(BigDecimal cost)`
  `ContractAccountDetail`
  `setEntityId(int entityId)`
  `ContractAccountDetail`
  `setEntityModuleId(int entityModuleId)`
  `ContractAccountDetail`
  `setEntityTitle(String entityTitle)`
  `ContractAccountDetail`
  `setObjectId(int objectId)`
  `ContractAccountDetail`
  `setPeriod(Period period)`
  `ContractAccountDetail`
  `setServiceId(int serviceId)`
  `ContractAccountDetail`
  `setSum(BigDecimal sum)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractAccountDetail

    public ContractAccountDetail()

- ## Method Details

  - ### getAmount

    public BigDecimal getAmount()

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()

  - ### getContractTariffId

    public int getContractTariffId()

  - ### getCost

    public BigDecimal getCost()

  - ### getEntityId

    public int getEntityId()

  - ### getEntityModuleId

    public int getEntityModuleId()

  - ### getEntityTitle

    public String getEntityTitle()

  - ### getObjectId

    public int getObjectId()

  - ### getPeriod

    public Period getPeriod()

  - ### getServiceId

    public int getServiceId()

  - ### getSum

    public BigDecimal getSum()

  - ### setAmount

    public ContractAccountDetail setAmount(BigDecimal amount)

  - ### setComment

    public ContractAccountDetail setComment(String comment)

  - ### setContractId

    public ContractAccountDetail setContractId(int contractId)

  - ### setContractTariffId

    public ContractAccountDetail setContractTariffId(int contractTariffId)

  - ### setCost

    public ContractAccountDetail setCost(BigDecimal cost)

  - ### setEntityId

    public ContractAccountDetail setEntityId(int entityId)

  - ### setEntityModuleId

    public ContractAccountDetail setEntityModuleId(int entityModuleId)

  - ### setEntityTitle

    public ContractAccountDetail setEntityTitle(String entityTitle)

  - ### setObjectId

    public ContractAccountDetail setObjectId(int objectId)

  - ### setPeriod

    public ContractAccountDetail setPeriod(Period period)

  - ### setServiceId

    public ContractAccountDetail setServiceId(int serviceId)

  - ### setSum

    public ContractAccountDetail setSum(BigDecimal sum)

  - ### copy

    public ContractAccountDetail copy(ContractAccountDetail contractAccountDetail)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`